summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJürg Billeter <j@bitron.ch>2011-07-21 21:18:33 +0200
committerJürg Billeter <j@bitron.ch>2011-07-21 21:21:19 +0200
commit65e0a9d178976f533a153adb9c06c51c4110f17f (patch)
treefbedc89a2ab2f4f7d5dc3ad52934a86e6d090115 /autogen.sh
parentf3ba2251e4bdfc27c533b6455c950eec80ba3fdd (diff)
downloadvala-65e0a9d178976f533a153adb9c06c51c4110f17f.tar.gz
build: Require valac >= 0.12.0 to build from git
Fixes bug 655061.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 7db4f1411..7d48667e9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,9 +7,9 @@ ORIGDIR=`pwd`
cd $srcdir
test -z "$VALAC" && VALAC=valac
-if ! $VALAC --version | sed -e 's/^.*\([0-9]\+\.[0-9]\+\)\.[0-9]\+.*$/\1/' | grep -vq '^0\.[0-9]$'
+if ! $VALAC --version | sed -e 's/^Vala \([0-9]\+\.[0-9]\+\).*$/\1/' | grep -vq '^0\.\([0-9]\|1[0-1]\)$'
then
- echo "**Error**: You must have valac >= 0.10.0 installed"
+ echo "**Error**: You must have valac >= 0.12.0 installed"
echo " to build vala. Download the appropriate package"
echo " from your distribution or get the source tarball at"
echo " http://download.gnome.org/sources/vala/"